Get a job
curl --request GET \
--url https://rxnote.ai/api/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rxnote.ai/api/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rxnote.ai/api/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "job_4Rt8Vb1Np3Zs7Hc2kQ9xLm",
"kind": "note",
"visit_id": 123,
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": {
"code": "NOTE_FAILED",
"message": "<string>"
},
"note": {
"id": 5521,
"visit_id": 123,
"template": {
"id": 123,
"name": "<string>"
},
"framework": "<string>",
"sections": [
{
"id": "<string>",
"title": "<string>",
"fields": [
{
"id": "<string>",
"label": "<string>",
"text": "<string>"
}
]
}
],
"html": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"icd_codes": {
"code_version": "icd11",
"generated_at": "<string>",
"codes": [
{
"code": "CA02",
"name": "Acute pharyngitis",
"confidence": "high"
}
]
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}Notes
Get a job
A note or ICD-code job: its status, and the note or codes once completed. Scope visits:read.
GET
/
jobs
/
{id}
Get a job
curl --request GET \
--url https://rxnote.ai/api/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rxnote.ai/api/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rxnote.ai/api/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "job_4Rt8Vb1Np3Zs7Hc2kQ9xLm",
"kind": "note",
"visit_id": 123,
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": {
"code": "NOTE_FAILED",
"message": "<string>"
},
"note": {
"id": 5521,
"visit_id": 123,
"template": {
"id": 123,
"name": "<string>"
},
"framework": "<string>",
"sections": [
{
"id": "<string>",
"title": "<string>",
"fields": [
{
"id": "<string>",
"label": "<string>",
"text": "<string>"
}
]
}
],
"html": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"icd_codes": {
"code_version": "icd11",
"generated_at": "<string>",
"codes": [
{
"code": "CA02",
"name": "Acute pharyngitis",
"confidence": "high"
}
]
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "<string>",
"request_id": "req_Q2w9Lx7Hc4Vb8Np1Zs3Kt6"
}
}Authorizations
Your API key, created in RxNote under Settings → API: Authorization: Bearer rxn_live_….
Path Parameters
Example:
"job_4Rt8Vb1Np3Zs7Hc2kQ9xLm"
Response
The job.
Work that runs after the request answers. Poll GET /jobs/{id} until completed or failed.
Example:
"job_4Rt8Vb1Np3Zs7Hc2kQ9xLm"
Available options:
note, icd_codes Available options:
queued, running, completed, failed Show child attributes
Show child attributes
For a note job, once completed.
Show child attributes
Show child attributes
For an icd_codes job, once completed.
Show child attributes
Show child attributes
